## org.eclipse.jet.core.parser
Interface ITemplateInput

    public interface ITemplateInput

Encapsulate a JET Templates input

Since:
  1.0

Method Summary
`java.net.URI` `getBaseLocation()` Return the base URL of the input
`java.lang.String` `getEncoding()` Return the encoding of the template input
`java.io.Reader` `getReader()` Return a reader for the template input.
`java.lang.String` `getTemplatePath()` Return the template Path of the input.

Method Detail

### getTemplatePath

    java.lang.String getTemplatePath()

  Return the template Path of the input.

  Returns:
    the template Path

### getBaseLocation

    java.net.URI getBaseLocation()

  Return the base URL of the input

  Returns:
    the template base URL

### getReader

    java.io.Reader getReader()
                             throws TemplateInputException

  Return a reader for the template input. It is the responsibility of the caller to close the reader

  Returns:
    a reader
  Throws:
    `TemplateInputException`

### getEncoding

    java.lang.String getEncoding()
                                 throws TemplateInputException

  Return the encoding of the template input

  Returns:
    the encoding or `null` if not known
  Throws:
    `TemplateInputException` - if an error occurs while determing the encoding

Copyright 2006 IBM Corporation and others. All Rights Reserved.